# Build and test on still supported qt version, we dont care about EOL ones

# -- Templates -- #
.build-template: &build
  stage: build
  before_script:
     - apt update && apt install -y liblttng-ust-dev
  script:
    - mkdir build && cd build
    - qmake ..
    - make -j$(nproc)
  artifacts:
    paths:
      - .

.test-template: &test
   stage: test
   before_script:
     - apt update && apt install -y xvfb dbus-test-runner accountsservice gdb suru-icon-theme
   script:
     - cd build
     - ../tests/xvfb.sh make test
   variables:
     EXTRA_EXCEPTIONS: tst_haptics.qml tst_icon.11.qml tst_icon.13.qml

# -- Build -- #
build:qt5.9:
  <<: *build
  image: ubports/qt-build-essential:5.9

build:qt5.12:
  <<: *build
  image: ubports/qt-build-essential:5.12

build:qt5.13:
  <<: *build
  image: ubports/qt-build-essential:5.13

build:qt5.14:
  <<: *build
  image: ubports/qt-build-essential:5.14


# -- Test -- #
test:qt5.9:
   <<: *test
   image: ubports/qt-build-essential:5.9
   needs:
     - job: build:qt5.9
       artifacts: true

#test:qt5.12:
#   <<: *test
#   image: ubports/qt-build-essential:5.12
#   needs:
#     - job: build:qt5.12
#       artifacts: true
#
#test:qt5.13:
#   <<: *test
#   image: ubports/qt-build-essential:5.13
#   needs:
#     - job: build:qt5.13
#       artifacts: true
#
#test:qt5.14:
#   <<: *test
#   image: ubports/qt-build-essential:5.14
#   needs:
#     - job: build:qt5.14
#       artifacts: true

